<?xml version="1.0" encoding="utf-8"?>
<configuration>
	
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8"/>
    </startup>
	
	<appSettings>
		<add key="ThisWebApiServiceEndpoint" value="http://*:8901"/>
		<add key="ActiveSapDestinationName" value="DG2"/>
		<add key="SapDefaultUSER" value="XXX"/>
		<add key="SapDefaultPASSWD" value="XXX"/>
		<add key="SapCLIENT" value="100"/>
		<add key="SapLanguage" value="DE"/>
		<add key="SapASHOST" value="XXX"/>
		<add key="SapSYSNR" value="00"/>
		<add key="SapMaxPoolSize" value="10"/>
		<add key="SapIdleTimeout" value="10"/>
	</appSettings>
	
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="sapnco" publicKeyToken="50436dca5c7f7d23" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-3.1.0.42" newVersion="3.1.0.42"/>
      </dependentAssembly>
      <dependentAssembly>
		  <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			  <dependentAssembly>
				  <assemblyIdentity name="sapnco_utils" publicKeyToken="50436dca5c7f7d23" culture="neutral"/>
				  <bindingRedirect oldVersion="0.0.0.0-3.1.0.42" newVersion="3.1.0.42"/>
			  </dependentAssembly>
		  </assemblyBinding>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.2.3.0" newVersion="4.2.3.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
